Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/ChangeLog	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -1,2 +1,10 @@
+2009-09-28	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* rtems/src/regiondelete.c, rtems/src/regiongetfreeinfo.c,
+	rtems/src/regiongetinfo.c, rtems/src/regiongetsegment.c,
+	rtems/src/regiongetsegmentsize.c, rtems/src/regionresizesegment.c,
+	rtems/src/regionreturnsegment.c: Do not initialize return status to
+	RTEMS_INTERNAL_ERROR.
+
 2009-09-28	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/rtems/src/regiondelete.c
===================================================================
--- cpukit/rtems/src/regiondelete.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regiondelete.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -48,5 +48,5 @@
 {
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   register Region_Control *the_region;
 
Index: cpukit/rtems/src/regiongetfreeinfo.c
===================================================================
--- cpukit/rtems/src/regiongetfreeinfo.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regiongetfreeinfo.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -51,5 +51,5 @@
 {
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   register Region_Control *the_region;
 
Index: cpukit/rtems/src/regiongetinfo.c
===================================================================
--- cpukit/rtems/src/regiongetinfo.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regiongetinfo.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -49,5 +49,5 @@
 {
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   register Region_Control *the_region;
 
Index: cpukit/rtems/src/regiongetsegment.c
===================================================================
--- cpukit/rtems/src/regiongetsegment.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regiongetsegment.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -56,5 +56,5 @@
   Thread_Control          *executing;
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   register Region_Control *the_region;
   void                    *the_segment;
Index: cpukit/rtems/src/regiongetsegmentsize.c
===================================================================
--- cpukit/rtems/src/regiongetsegmentsize.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regiongetsegmentsize.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -50,5 +50,5 @@
 {
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   register Region_Control *the_region;
 
Index: cpukit/rtems/src/regionresizesegment.c
===================================================================
--- cpukit/rtems/src/regionresizesegment.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regionresizesegment.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -54,5 +54,5 @@
   Objects_Locations        location;
   uintptr_t                osize;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
   Heap_Resize_status       status;
   register Region_Control *the_region;
Index: cpukit/rtems/src/regionreturnsegment.c
===================================================================
--- cpukit/rtems/src/regionreturnsegment.c	(revision 1b0c122b5b8b3c4a9ee12f5be1620b00f2da9d9a)
+++ cpukit/rtems/src/regionreturnsegment.c	(revision af20cd903bf34151b79aa5413992939ea6764b8e)
@@ -56,5 +56,5 @@
 {
   Objects_Locations        location;
-  rtems_status_code        return_status = RTEMS_INTERNAL_ERROR;
+  rtems_status_code        return_status;
 #ifdef RTEMS_REGION_FREE_SHRED_PATTERN
   uint32_t                 size;
